$(function(){
	$("#n_arw").click(function(){
        $(this).toggleClass('show_btn');//菜单切换按钮
        //$(".logo_b").toggleClass('logo_s');//logo切换大小
        $(".time_b").toggleClass('time_s');//时间切换大小
		$(".nav_con").toggleClass('nav_conm');//nav切换大小
		$(".menu_addb").toggleClass('menu_addm');//nav新添按钮
        var nav=$("#nav");
		nav.toggleClass('nav2');
		$(".if_wrap").toggleClass("if_left");
		if(nav.is(".nav2")){
	         $(".con").css("margin-left", "60px");
             $(".version-num span").hide();
             $(".logo_b").hide();
             $(".logo_s").show();
		}
		else{
	         $(".con").css("margin-left", "150px");
             $(".version-num span").show();
             $(".logo_b").show();
             $(".logo_s").hide();
		}
	});
	//左侧功能表
	$(".nul_bli").mouseover(function(){
		$(this).children('ul').show();
		});
	$(".nul_bli").mouseout(function(){
		$(this).children('ul').hide();
		});
	//左侧功能表----------end
	
	//用户头像功能表

	$(".user,.user_check").click(function(){
		$(".msg_menu").hide();
		$('.user_menu').show();
		});
	$(".user_menu_con a").click(function(){
		$('.user_menu').hide();
		});
	//消息功能表
	$(".msg_tba").click(function(){
		$(".msg_tba").removeClass("msg_tbactive");
		$(this).addClass("msg_tbactive");
		$(".msg_tabc").eq($(this).index()).show().siblings().hide();
		});
	$(".msg_center").click(function(){
		$(".user_menu").hide();
		$(".msg_menu").show();
		});
	$(".msgd").click(function(){
		$(".msg_menu").hide();
		});

$(document).bind("click",function(e){
    var target = $(e.target);
	if(target.closest(".msg_center").length == 0&&target.closest(".msg_menu").length == 0&&target.closest(".user_center").length == 0&&target.closest(".user_menu").length == 0){
		$(".msg_menu").hide();
		$(".user_menu").hide();
	}
});

});
/**
 * 使用jquery的inArray方法判断元素是否存在于数组中
 * @param {Object} arr 数组
 * @param {Object} value 元素值
 */
function isInArray(value,arr){
    var index = $.inArray(value,arr);
    if(index >= 0){
        return true;
    }
    return false;
}
/**
 * 公共加载动态页面弹窗
 *  
 * @param {String} url    [必传]  要加载的URL 地址
 * @param {String} title  [必传]  弹窗标题
 * @param {function} func [必传]  点击确定的处理函数，可以转递目标页面的JS函数
 * @param {object} button [选传]  按钮，默认两个：保存 取消，可以自定义。
 * @param {object} width  [选传]  弹出框的宽度，默认：570，可以自定义。
 * @param {object} height [选传]  弹出框的高度，默认：700，可以自定义。
 * @param {function} funn [选传]  点击取消的处理函数，可以转递目标页面的JS函数    fun_no
 * @param {function} fund [选传]  点击后上角×的处理函数，可以转递目标页面的JS函数 fun_del
 */
var open_page_loading = 0;
function load_page(url,title,func,button,width,height,funn,fund){
    if (open_page_loading == 1) {
        return false;
    };
    open_page_loading = 1;
    if(typeof layer == 'undefined'){
        alert('未引用layerJS文件')
        return ;
    }
    var index = layer.load(1, {shade: false}); //0代表加载的风格，支持0-2
    // console.log(index);
    width =  width ? width  : 570;
    height= height ? height : 700;
    $.ajax({
        type: 'GET',
        url: url,
        success: function (ret) {
            layer.close(index);
            // 没有权限  弹窗
            if (ret.error==1) {
                layer.alert(ret.msg);
                $("#popContent").remove();
                open_page_loading = 0;
                return false;
            };
            if(ret.match("^\{(.+:.+,*){1,}\}$")){
                var data = jQuery.parseJSON(ret);
                if(data && data.code == -2){
                    location.reload();
                    return false;
                }
            }

            // 创建临时 dom元素，防止弹窗闪现
            var contentDiv = "<div style='display:none;' id='popContent'>"+ret+"</div>";
            $('body').append(contentDiv);

            layer.open({
                title: title,
                type: 1,
                skin: 'layui-layer-rim',
                offset: '100px',
                area: [width+'px', height+'px'],
				content: $('#popContent'),
                // content: $('#t_win_open').html(),
                // content: ret,
                btn: button?button:['保存','取消'],
                yes: function(){
					if(typeof func == 'function'){
						func();
                    }
                },btn2: function(){
                	if (typeof funn == 'function') {
						return funn();
                	}else{
                		layer.close(index);
                	};
                },cancel: function(){
                	if (typeof fund == 'function') {
                		return fund();
                	}else{
                		layer.close(index);
                	};
                },
                // 关闭窗口时的回调
                end: function () {
                    $("#popContent").remove();
                    open_page_loading = 0;
                }
            });
        },
        error:function(XMLHttpRequest, textStatus, errorThrown){
            open_page_loading = 0;
            layer.close(index);
            //layer.alert('页面加载失败');
            alert(XMLHttpRequest.status);
            alert(XMLHttpRequest.readyState);
            alert(textStatus);
        }
    })
     
    
    
}
var open_page_loading1 = 0;
function load_page_post(url,title,func,button,width,height,funn,fund,method,data){
    if (open_page_loading1 == 1) {
        return false;
    };
    open_page_loading1 = 1;
    if(typeof layer == 'undefined'){
        alert('未引用layerJS文件')
        return ;
    }
    var index = layer.load(1, {shade: false}); //0代表加载的风格，支持0-2
    // console.log(index);
    method =  method ? method  : 'GET';
    width =  width ? width  : 570;
    height= height ? height : 700;
    $.ajax({
        type: method,
        url: url,
        data:data,
        success: function (ret) {
            layer.close(index);
            // 没有权限  弹窗
            if (ret.error==1) {
                layer.alert(ret.msg);
                $("#popContent").remove();
                open_page_loading1 = 0;
                return false;
            };
            if(ret.match("^\{(.+:.+,*){1,}\}$")){
                var data = jQuery.parseJSON(ret);
                if(data && data.code == -2){
                    location.reload();
                    return false;
                }
            }

            // 创建临时 dom元素，防止弹窗闪现
            var contentDiv = "<div style='display:none;' id='popContent'>"+ret+"</div>";
            $('body').append(contentDiv);

            layer.open({
                title: title,
                type: 1,
                skin: 'layui-layer-rim',
                offset: 'auto',
                area: [width+'px', height+'px'],
				content: $('#popContent'),
                // content: $('#t_win_open').html(),
                // content: ret,
                btn: button?button:['保存','取消'],
                yes: function(){
					if(typeof func == 'function'){
						func();
                    }
                },btn2: function(){
                	if (typeof funn == 'function') {
						return funn();
                	}else{
                		layer.close(index);
                	};
                },cancel: function(){
                	if (typeof fund == 'function') {
                		return fund();
                	}else{
                		layer.close(index);
                	};
                },
                // 关闭窗口时的回调
                end: function () {
                    $("#popContent").remove();
                    open_page_loading1 = 0;
                }
            });
        },
        error:function(XMLHttpRequest, textStatus, errorThrown){
            open_page_loading1 = 0;
            layer.close(index);
            //layer.alert('页面加载失败');
            alert(XMLHttpRequest.status);
            alert(XMLHttpRequest.readyState);
            alert(textStatus);
        }
    })


}
/* 
**手机号 判断 
**需加载layer ，弹框用的layer弹框
**参数：tel_id 手机tel所在的id值 ; patrn:匹配的正则
*/
function check_tel_id(tel_id,patrn){
    //debugger;
    var arr = patrn.split('\,');
    var tel = $('#'+tel_id).val();
    tel = $.trim(tel);
    if(tel&&tel.indexOf('*')==-1){
        for(var j = 0,len = arr.length; j < len; j++){
            var patrn_j = new RegExp(arr[j],'');
            if(tel&&!patrn_j.exec(tel)){
                var type = 2;
            }else{
                return false;
            }
        }
        if (type==2) {
            layer.alert("手机号输入错误");
            $('#'+tel_id).val('');
        }
    }
}
/* 
**手机号 判断 
**需加载layer ，弹框用的layer弹框
**参数：tel 手机号 ; patrn:匹配的正则 数组
*/
function check_tel(tel,patrn){
    var arr = patrn.split('\,');
    tel = $.trim(tel);
    if(tel&&tel.indexOf('*')==-1){
        for(var j = 0,len = arr.length; j < len; j++){
            var patrn_j = new RegExp(arr[j],'');
            if(tel&&!patrn_j.exec(tel)){
                var type = 2;
            }else{
                return false;
            }
        }
        if (type==2) {
            layer.alert("手机号输入错误");
        }
    }
}